/* HEADER CSS */

body {
    font-family: "DM Sans", sans-serif;
    background-color: #1d1d1d;
    color: #ffffff;
    text-align: center;
    margin: auto;
    /* font-family: Arial, sans-serif; */
  }
  
  .hero-section {
    margin: 50px auto;
    width: calc(100vw - 100px);
  }
  
  .logo {
    height: 40px;
  }
  .hidden ul li {
    font-family: "DM Sans", sans-serif;
  }

/* CUSTOM CSS */

section{
    padding: 50px;
    margin: auto;
    max-width: 1200px;
}

.heading {
    display: flex;
    text-align: left;
    font-size: 40px;
    padding: 20px;
    /* margin-bottom: 10px; */
    font-weight: bold;
    /* margin: 0 20px; */

}

.container {
    justify-self: center;
    align-items: stretch;
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
    padding: 20px;
    margin-bottom: 50px;
}

.slider {
  background-color: white;
  display: flex;
  align-items: center;
   position: relative;

  flex: 1;
  overflow: hidden;
  border-radius: 30px;
}

.margin-bottom-5{
    margin-bottom:5px;
}
.margin-20{
    margin-top:20px !important ;
}

.image-container {
    align-self: center;
    flex: 1; 
/*  */
display: flex;
transition: transform 0.3s ease-in-out;
}
.image-container img {
    border-radius: 30px;
    width: 100%;
    height: auto;
    object-fit: contain;
}

.arrow {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  border-radius: 20px;
  cursor: pointer;
  font-size: 1.5rem;
  padding: 10px;
  z-index: 1;
}

.left-arrow {
  left: 10px;
}

.right-arrow {
  right: 10px;
}


.text-container {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 0px 50px;
}

.border-text-container{
  justify-content: space-between;
    border-radius: 8px    ;
    margin: auto 0;
    padding: 6px 20px;
    display: flex;
    align-items: center;
    /* border: solid 20px white; */
    border: 2px solid #98C082;
    text-align: left;
}

.text-container h2 {
    align-self: flex-start;
    text-align: left;
    font-size: 32px;
    font-weight: bold;
    /* margin-bottom: 30px; */
    /* padding: 0 20px; */
}

.text-container h3 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}

.text-container p {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.cost {
    display: block;
    /* background-color: #00ff00; */
    color: white;
    font-size: 20px;
    font-weight: bold;
    margin-left:10px;
    /* border-radius: 5px; */
}


.sticky-div {

  position:-webkit-sticky; position:sticky; bottom:0;

    /* position: fixed; */
    width: 100vw;
    height: auto;
    background-color: black;
    color: white;
    text-align: center;
    justify-content: center;
    align-items: center;
    /* bottom: auto; To avoid conflicting with JavaScript positioning */
    /* top: calc(100vh -114px ); */
    z-index: 10;
    transition: 0.25s ease;


  }

  .amount-div{
    align-items: center;
    max-width:1200px ;
    display: flex;
    justify-content: space-around; /* Distribute items with space between them */
    /* align-items: center; Align items vertically centered */
    padding: 10px 20px;
    color: white;
    font-size: 20px;
    /* background-color: #f0f0f0; */
    /* border: 1px solid #ccc; */
  }

  .box {
    /* flex: 0 0 auto; Do not grow or shrink, keep the width defined by content */
    padding: 20px;
    color: white;
    text-align: center;
  }

  .sub1{
    display: block;
    font-weight: bold;
  }

  .selected {
    border: 2px solid #98C082 !important; 
  }
  
  /* Unselected Box Styling */
  .charger:not(.selected),  .additional:not(.selected) {
    border: 1px solid gainsboro !important ;
  }

  .charger{
    cursor: pointer;
  }




/* Responsive Design */
@media (max-width: 768px) {
    .container   {
        flex-direction: column;
    }
    .slider{
      margin-bottom: 5vh;
    }
    .sticky-div {
      bottom: -150px;
    }
    .box3{
      height: 100px;
    }
    .amount-div   {
        flex-direction: column-reverse;
        font-size: 18px;
    }
    .footer{
      height: 600px !important;
    }

    .text-container {
      padding: 0px;
    }
    section{
        padding: 50px 20px;
    }
    .heading{
        text-align: center;
    }
}


/* HEADER RESPONSIVE CSS */
@media (max-width: 720px) {

    .logo {
      height: 30px;
    }
    .hero-section {
      margin: 30px auto;
      width: calc(100vw - 60px);
    }

  }

  @media (max-width: 500px) {

    .sticky-div {
      bottom: -165px;
    }
    .box3{
      height: 105px;
    }
    .text-container{
      padding: 0 ;
    }
    .border-text-container{
      padding:10px 15px;
    }
  }
  @media (max-width: 420px) {
    .sticky-div {
      bottom: -145px;
    }
  .box3{
    height: 125px;
  }}
  @media (max-width: 375px) {
    .sticky-div {
      bottom: -175px;
    }

  .box3{
    height: 70px;
  }}